'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _index = require('./index');

var _UrlBuilder = require('./UrlBuilder');

var _i18n = require('./i18n/i18n');

var _i18n2 = _interopRequireDefault(_i18n);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    /**
     *
     * @param runnable
     * @param run
     * @param toastAction
     */
    createRunStartedToast: function createRunStartedToast(runnable, run, toastAction) {
        var translate = (0, _i18n2.default)('blueocean-web');

        var runId = run.id;

        var runDetailsUrl = (0, _UrlBuilder.buildRunDetailsUrl)(run);

        var name = decodeURIComponent(runnable.name);
        var text = translate('toast.run.started', {
            0: name,
            1: runId,
            defaultValue: 'Started "{0}" #{1}'
        });

        var caption = translate('toast.run.open', {
            defaultValue: 'Open'
        });
        _index.ToastService.newToast({
            text: text,
            action: caption,
            onActionClick: function onActionClick() {
                if (toastAction) {
                    toastAction(runDetailsUrl);
                }
            }
        });

        return runDetailsUrl;
    }
}; /**
    * Created by cmeyers on 9/21/16.
    */
//# sourceMappingURL=ToastUtils.js.map
